|  | Home · All Classes · All Functions · Overviews

# QTapAndHoldGesture Class Reference
[QtGui module]

The QTapAndHoldGesture class describes a tap-and-hold (aka LongTap) gesture made by the user. More...

     #include <QTapAndHoldGesture>

Inherits QGesture.

This class was introduced in Qt 4.6.

- List of all members, including inherited members

## Properties

- position : QPointF

- 5 properties inherited from QGesture
- 1 property inherited from QObject

## Public Functions

QPointF | position () const
void | setPosition ( const QPointF & pos )

- 8 public functions inherited from QGesture
- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 5 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The QTapAndHoldGesture class describes a tap-and-hold (aka LongTap) gesture made by the user.

See also Gestures Programming, QPanGesture, and QPinchGesture.

## Property Documentation

### position : QPointF

This property holds the position of the tap.

Access functions:

QPointF | position () const
void | setPosition ( const QPointF & pos )